<?php

namespace App\Models;

use App\Models\BaseModel;

/**
 * @description 系统设置
 * @author  system;
 * @version    1.0
 * @date 2018-05-14 13:30:36
 *
 */
class AlbumManufacturerModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'album_manufacturer';
    /**
     * 主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
        'circleOfFriends',
        'introduce',
        'banner',
        'qrcode',
        'logo',
        'service_app_secret',
        'wxFurniture_template_id',
        'wxaccount_template_id',
        'service_app_id',
        'goods_app_id',
        'xyx_id',
        'xyx_secret',
        'store_id',
        'name',
        'illustrated_name',
        'avatar',
        'phone',
        'address',
        'lng',
        'is_audit',
        'lat',
        'background_pic',
        'advertising_pic',
        'furniture_ads_pic',
        'notice',
        'notice_icon',
        'show_notice',
        'print_no',
        'print_key',
        'redirectapp',
        'print_type',
        'getPhone',
        'getFocus',
        'share_title',
        'share_image'
    ];

}